Returns publisher balance records for a given month, including payouts and amounts to be paid.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/network/management/get-publishers-balance.do
Returns publisher balance records for a given month, including payouts and amounts to be paid. Results can be filtered by publishing category and activity status. Requires the NETWORK_BILLING_MANAGEMENT and PUBLISHERS_PAYMENTS permissions.
Query Params
yearintegerrequired
Year to get balances for
2026
monthintegerrequired
Month to get balances for (1-12)
3
categoryIdinteger
Filter by publishing category ID (-1 for uncategorized)
5
onlyWithActivityboolean
If true, only return publishers with payouts or amounts due
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/network/management/get-publishers-balance.do?year=2026&month=3&categoryId=5&onlyWithActivity=true");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());